// Copyright (c) 2023 PaddlePaddle Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#pragma once
#include <string>

enum Token_type {
  EOF_ = -1,
  IDENTIFIER = 0,
  DIGIT = 1,
  SDIGIT = 2,
  ENDTAG = 3,
  VALUEID = 4,
  STRING = 5,
  ARROW = 6,
  NULL_ = 7,
};

struct Token {
 public:
  std::string val_;
  Token_type token_type_;
  Token() = default;
  Token(const std::string& val, Token_type token_type) {
    val_ = val;
    token_type_ = token_type;
  }
};
